package com.company;
/**
 * The Student class represents a student in a student administration system.
 * @author Mr.GHOST
 * @since  1399.12.20
 */

import javax.swing.plaf.basic.BasicTreeUI;

public class Lab {

    private Student[] students;
    private  String nameClass;
    private int avg;
    private String day;
    private int capacity;
    private int currentSize;

    /**
     * create Lab
     * @param capacity
     * @param day
     */
    public Lab(int capacity , String day , String nameClass){
        this.capacity = capacity;
        this.currentSize = 0;
        this.day = day;
        this.students = new Student[capacity];
        this.nameClass = nameClass;
    }



    /**
     *
     * add a new student (if it has enough space)
     */
    public void enrollStudent(Student std){
        if (currentSize<capacity){
            this.students[currentSize] = std;
            this.currentSize++;
        }
        else{
            System.out.printf(" Lab is full!!! u cant add : " );
            std.print();
            System.out.printf(" Max capacity : %d Students",capacity);
            System.out.println();

        }
    }

    /**
     * print stds details
     */
    public void print(){
        System.out.println(this.nameClass + " class  : ");
        for(int i=0;i<currentSize;i++) {
            System.out.printf("%d)",i+1);
            System.out.println(" std fName :" + students[i].getFirstName() + ", std lName " + students[i].getLastName() +  ", std id : " + students[i].getId() + ", std grade : " + students[i].getGrade() );
        }
        System.out.println("avg is :" + this.getAvg());
    }

    /**
     *
     * @return students field
     */
    public Student[] getStudents(){
        return students;
    }

    /**
     *
     * @param std set student
     */
    public void setStudents(Student[] std){
        students = std;
    }

    /**
     *
     * @return avg field
     */
    public int getAvg(){
        int sum=0;
        for (int j=0;j<currentSize;j++){
            sum += students[j].getGrade();
        }
        avg = sum / currentSize;
        return avg;
    }

    /**
     *
     * @return day field
     */
    public String getDay(){
        return day;
    }

    /**
     *
     * @param day set day
     */
    public void setDay(String day) {
        this.day = day;
    }

    /**
     *
     * @return capacity field
     */
    public int getCapacity() {
        return capacity;
    }

    /**
     *
     * @param capacity set capacity
     */
    public void setCapacity(int capacity) {
        this.capacity = capacity;
    }

    /**
     *
     * @return nameclass
     */
    public String getNameClass(){return  nameClass;}

    /**
     *
     * @param nameClass set name of class
     */
    public void setNameClass(String nameClass){this.nameClass = nameClass;}










}
